Katello - Bug #5765

Ul doesn't display repos under content tab of CV
05/16/2014 07:20 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Eric Helms

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1086187 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1086187
Description of problem:
| was trying to add repo to a CV via automation and every time test fails as Ul doesn't displays repos under 'Add' tab of CV.

This happens only when you navigate CV first time after creation. So please follow steps to reproduce and use search as mentioned
in steps.

Version-Release number of selected component (if applicable):
shap6 compose2

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.18-1.el6sat.noarch
foreman-compute-1.5.0.18-1.el6sat.noarch
foreman-libvirt-1.5.0.18-1.el6sat.noarch
foreman-postgresql-1.5.0.18-1.el6sat.noarch
foreman-proxy-1.5.5-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-19.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.33-1.el6sat.noarch
openldap-2.4.23-31.e16.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-5.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-15.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1086187

How reproducible:
always for me

Steps to Reproduce:

. create a product/repo and sync it

. go to CV page and create a content-view e.g. cv-test
. in serach bar, type the name in quotes like: "cv-test"
. click on the cv-test name filtered by search

. select content --> repository --> add

a b wn =

Actual results:
Ui doesn't display repos under content --> repository --> add
when you first time navigate CV as per above steps

Expected results:
Ul should display the repos when you first time navigate to CV

Additional info:
This happens only when you select CV first time after creation. Let's say for first time Ul doesn't show, now if you reselect the org in
which it was created and again navigate the CV--> content--repo--> add tab, You will see repo listing.

Associated revisions

Revision ca4c8321 - 06/04/2014 03:18 PM - Eric Helms
Fixes #5765: Ensure repositories appear on content view details when searching, BZ1086187.
On the content view details page for repositories, if a user had searched

for the content view the search transferred to the search being done
by the repositories table.

Revision 14609af9 - 06/04/2014 07:18 PM - Eric Helms
Fixes #5765: Ensure repositories appear on content view details when searching, BZ1086187.
On the content view details page for repositories, if a user had searched

for the content view the search transferred to the search being done
by the repositories table.

Revision edc368b9 - 06/05/2014 08:40 AM - Eric Helms

Merge pull request #4185 from ehelms/fixes-5765

Fixes #5765: Ensure repositories appear on content view details when sea...
Revision 17371d96 - 06/05/2014 12:40 PM - Eric Helms

Merge pull request #4185 from ehelms/fixes-5765

Fixes #5765: Ensure repositories appear on content view details when sea...

History

#1 - 05/30/2014 12:34 PM - Eric Helms
- Status changed from New to Assigned
- Target version set to 45

- Triaged set to Yes

#2 - 06/05/2014 12:52 PM - Eric Helms
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:14609af956abbe83c926ce95a53373fac723d24f.

#3 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13

05/18/2024 22



http://www.tcpdf.org

